from numpy import array


POLYGONS = [{
    "id": 1,
    "polygon":
        array([
            [8.915977201904965, 50.13437339764808],
            [8.915886470422478, 50.134356351043586],
            [8.915592561607113, 50.13434962004248],
            [8.915599060201416, 50.1342655219044],
            [8.915232110957945, 50.134247194202544],
            [8.91520554556358, 50.13401280517816],
            [8.915854896840969, 50.13402083408153],
            [8.915860774650568, 50.13386840221675],
            [8.915814548454577, 50.13378993289456],
            [8.915807926751071, 50.13366050255716],
            [8.91579468334406, 50.13350479884799],
            [8.915789654202158, 50.13335500473933],
            [8.915795689172441, 50.13316201249917],
            [8.915925776309663, 50.13313020524009],
            [8.916141694135362, 50.133175766983044],
            [8.916210688330679, 50.13327352117132],
            [8.916574725517634, 50.13330250298205],
            [8.916583967875553, 50.1336871331195],
            [8.916436155632468, 50.133703340464734],
            [8.9163390146134, 50.13371856223452],
            [8.916375402550543, 50.13385904016985],
            [8.916389169826502, 50.13401276824052],
            [8.916481077394778, 50.13404170049321],
            [8.916503247528667, 50.13417035075329],
            [8.91642349371999, 50.134388402617446],
            [8.916265411026174, 50.13439409768792],
            [8.916174551195795, 50.13450176662873],
            [8.915998092488948, 50.134497756414994],
            [8.915977201904965, 50.13437339764808]
        ])
    }, {
        "id": 2,
        "polygon":
            array([
                [8.916634311266328, 50.13380201961599],
                [8.9174577494339, 50.133796861752515],
                [8.917459090538408, 50.13365158170286],
                [8.917652880139734, 50.13364771329315],
                [8.917637122161771, 50.13330019987751],
                [8.917935015000488, 50.13328633797276],
                [8.917963262014176, 50.133121230558594],
                [8.918741815090264, 50.13311088782],
                [8.918723395858045, 50.13289939847483],
                [8.918920716336082, 50.13288993549684],
                [8.918936228095639, 50.13267028844013],
                [8.91848532623387, 50.132668782348716],
                [8.918450312143044, 50.13242904204775],
                [8.91795000747495, 50.132441560549346],
                [8.917933207325198, 50.13165863788821],
                [8.917082593619647, 50.13165231105779],
                [8.917081075791224, 50.13220106065248],
                [8.916187141275053, 50.13220721601644],
                [8.91617469187738, 50.132394263251186],
                [8.915484048397694, 50.13243775606348],
                [8.915463957171731, 50.13262911143407],
                [8.915196191752294, 50.13266022915232],
                [8.91520714832938, 50.13290961606768],
                [8.91589122549869, 50.132905360215425],
                [8.915897987956484, 50.13311470818517],
                [8.916142767996721, 50.13313685493938],
                [8.916222242672601, 50.133264841333826],
                [8.916593232823882, 50.13328585176493],
                [8.916634311266328, 50.13380201961599]
            ])
    }
]


test_polygons_musterstadt = [{
    "id": 3,
    "polygon": array([
        [8.917668, 50.134314], [8.917665, 50.133311], [8.918032, 50.133298], [8.918049, 50.133374],
        [8.918345, 50.133375], [8.918616, 50.133384], [8.918601, 50.133579], [8.918359, 50.133585],
        [8.918348, 50.133664], [8.918229, 50.133672], [8.918113, 50.133724], [8.91811, 50.133789],
        [8.918192, 50.133843], [8.9182, 50.133987], [8.91828, 50.133996], [8.918288, 50.134151], [8.91821, 50.134154],
        [8.918218, 50.134293], [8.918203, 50.134347], [8.917974, 50.13435], [8.917876, 50.134317],
        [8.917668, 50.134314]], dtype=object)
}, {
    "id": 49,
    "polygon": array([
        [8.91821, 50.133972], [8.918202, 50.133841], [8.918206, 50.133839], [8.918114, 50.133786],
        [8.918118, 50.133727], [8.918235, 50.133679], [8.918358, 50.13367], [8.918365, 50.133591],
        [8.918613, 50.133583], [8.91862, 50.133502], [8.918944, 50.133504], [8.919003, 50.133564],
        [8.919017, 50.133646], [8.919026, 50.133838], [8.919006, 50.134022], [8.918934, 50.134055],
        [8.918715, 50.134045], [8.918693, 50.134138], [8.918305, 50.134147], [8.918294, 50.133991],
        [8.91821, 50.133972]], dtype=object)
}]
